## Name

gffindxmlattr — Find XML extended attributes by XPath query

## Synopsis

`gffindxmlattr` [-d `depth`] [-F `delim`] [ `XPath` | [-f `XPath-file`]] `path`

## DESCRIPTION

gffindxmlattr finds XML extended attributes by a specified XPath expression, and displays path names and the corresponding XML extended attribute names. When a file is specified, XML extended attributes associated to the file are searched if there is the read permission.

When a directory is specified, files or directories within the depth are recursively searched. When 0 is specified for the depth, the specified directory is searched. If the depth is not specified, all files and directories under the specified directory are searched. If the negative value is specified, gffindxmlattr returns error. Directories that do not have execute permission cannot be searched.

gffindxmlattr displays path names and the corresponding XML extended attribute separated by the delim.

## OPTIONS

`-d` depth

  specifies the depth to be searched recursively.

`-F` delim

  specifies a delimiter that separates the path name and the XML extended attribute name. By detault, the delimiter is TAB.

`-f` XPath-file

  specifies a file that contains XPath expression.

`-?`

  displays usage.

## SEE ALSO

gfxattr(1)